# Image Encoding

## QueryString API

* `format=png|gif|jpeg|webp` determines the format to encode the image as. Defaults to the original format.
* `jpeg.quality=0..100` determines the jpeg encoding quality. Default is `90`
* `jpeg.progressive=true` enables progressive jpeg encoding.
* `jpeg.turbo=true` encodes files faster at the expense of file size.
* `webp.quality=0..100` determines the webp encoding quality.
* `webp.lossless=true` enables lossless webp encoding. Default `false`
* `png.lossless=false` disables lossless PNG encoding. Default `true` unless `png.quality` is specified.
* `png.quality=0..100` determines lossy png quality. Default `100`.
* `png.min_quality=0..100` determines the minimum png quality that must be realized before lossless is used. Default `0`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spectrumcustomizer.com/integration/api/image-querystring-api/image-encoding.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
